Update Workflow Agent File
curl --request PUT \
--url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/workflows/{workflowId}/agent-files/{fileId} \
--header 'Content-Type: multipart/form-data' \
--header 'X-Asteroid-Agents-Api-Key: <api-key>' \
--form 'files=<string>' \
--form files.items='@example-file'import requests
url = "https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/workflows/{workflowId}/agent-files/{fileId}"
files = { "files.items": ("example-file", open("example-file", "rb")) }
payload = { "files": "<string>" }
headers = {"X-Asteroid-Agents-Api-Key": "<api-key>"}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
form.append('files.items', '{
"fileName": "example-file"
}');
const options = {method: 'PUT', headers: {'X-Asteroid-Agents-Api-Key': '<api-key>'}};
options.body = form;
fetch('https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/workflows/{workflowId}/agent-files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"fileName": "<string>",
"filePath": "<string>",
"fileSize": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isFrozen": true,
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"checksum": "<string>",
"lastModifiedByExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "<string>"
}
],
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}"Invalid file upload request.""File not found."Files
Update Workflow Agent File
Replace the contents of an agent file in a workflow version. This creates a new workflow version with the change applied and returns its id as workflowId; publish or execute that version for the change to take effect. The request body must contain exactly one file.
PUT
/
agents
/
{agentId}
/
workflows
/
{workflowId}
/
agent-files
/
{fileId}
Update Workflow Agent File
Authorizations
Path Parameters
Body
multipart/form-data
Response
The request has succeeded.
⌘I

